summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSlashbunny2009-08-12 22:17:38 -0400
committerSlashbunny2009-08-12 22:17:38 -0400
commit2a40fe99146ab50d60dc8ebcdcaa024d2d4218bc (patch)
treeb98e314e1b5fff06b47733f9fc50cda28f7e4800
downloadaur-2a40fe99146ab50d60dc8ebcdcaa024d2d4218bc.tar.gz
Initial commit of personal PKGBUILDs for Arch Linux
-rw-r--r--.SRCINFO17
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD22
3 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4cd85a6419c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = gmameui
+ pkgdesc = SDLMAME/XMAME frontend designed to look like MAME32 (fork of GXMAME)
+ pkgver = 0.2.10
+ pkgrel = 1
+ url = http://gmameui.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = intltool
+ depends = gnome-doc-utils
+ depends = libarchive
+ depends = libglade
+ source = http://downloads.sourceforge.net/sourceforge/gmameui/gmameui-0.2.10.tar.gz
+ md5sums = 3a198f6b066eb81b62ed72924447c46f
+
+pkgname = gmameui
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..e4f398dc5b3
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+src/
+pkg/
+*.pkg.tar.xz
+*.pkg.tar
+*.src.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..0bcc711053b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# Contributor: Slash <demodevil5 [AT] yahoo [DOT] com>
+
+pkgname=gmameui
+pkgver=0.2.10
+pkgrel=1
+pkgdesc='SDLMAME/XMAME frontend designed to look like MAME32 (fork of GXMAME)'
+arch=('i686' 'x86_64')
+url='http://gmameui.sourceforge.net/'
+license=('GPL')
+depends=('gnome-doc-utils' 'libarchive' 'libglade')
+makedepends=('intltool')
+source=("http://downloads.sourceforge.net/sourceforge/gmameui/$pkgname-$pkgver.tar.gz")
+md5sums=('3a198f6b066eb81b62ed72924447c46f')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr --disable-libgnome --enable-joystick
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+